Bug 853183 - setgid programs should have full RELRO
setgid programs should have full RELRO
Product: Fedora
Classification: Fedora
Component: sysvinit (Show other bugs)
Unspecified Unspecified
high Severity unspecified
: ---
: ---
Assigned To: Petr Lautrbach
Fedora Extras Quality Assurance
Depends On:
Blocks: 853068
  Show dependency treegraph
Reported: 2012-08-30 12:49 EDT by Steve Grubb
Modified: 2012-12-20 11:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-12-20 11:17:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steve Grubb 2012-08-30 12:49:20 EDT
Description of problem:
Setuid programs should have full RELRO support enabled for extra protection. Also, it should have gcc's PIE flag enabled.

FILE                                                TYPE        RELRO    PIE 
/usr/bin/wall                                       setgid      partial  no  

You can use this program for testing:
Comment 1 Fedora Update System 2012-09-14 04:24:58 EDT
sysvinit-2.88-9.dsf.fc18 has been submitted as an update for Fedora 18.
Comment 2 Fedora Update System 2012-09-16 13:12:41 EDT
Package sysvinit-2.88-9.dsf.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sysvinit-2.88-9.dsf.fc18'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-12-20 11:17:09 EST
sysvinit-2.88-9.dsf.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.